Bug 60834 - EDITING: Find and Replace dialog box fields are inconsistent about selection on click
Summary: EDITING: Find and Replace dialog box fields are inconsistent about selection ...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.0.0.3 release
Hardware: Other All
: medium normal
Assignee: Cao Cuong Ngo
URL:
Whiteboard: BSA target:4.1.0
Keywords:
Depends on:
Blocks:
 
Reported: 2013-02-14 11:42 UTC by B.J. Herbison
Modified: 2013-04-05 18:18 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description B.J. Herbison 2013-02-14 11:42:03 UTC
Problem description: 

Steps to reproduce:
1. Open the Find & Replace Dialog (control-H).
2. Enter text in the "Search for" and "Replace for" fields.
3. Alternately click in the "Search for" and "Replace for" fields.

Current behavior:

Clicking in "Search for" selected the current text.
Clicking in "Replace for" does not select the current text.

Expected behavior:

Both fields select the existing text when clicking in the box.

Note: Selecting the fields via keyboard shortcuts ("s" and "p") or via Tab and Shift-Tab select the text for both fields.
Operating System: All
Version: 4.0.0.3 release
Comment 1 Thomas van der Meulen 2013-02-15 09:33:43 UTC
Thank you for reporthing this bug,
I can reporduce this bug running LibreOffice 4.0.0.3 on Winows 7 and mac os x 10.6.8.
Comment 2 Commit Notification 2013-04-05 09:53:00 UTC
Cao Cuong Ngo committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=9650599912d24b05e65a94727bac135b0c76384d

fdo#60834 Find and Replace dialog: fix replace box selection on click



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.